// операторы ветвления

if (logical expression) {
    // в скобках записывается логическое выражение
    ...
    // если логическое выражение истинно
    // выполняем содержимое фигурных скобок
}

let x = 1;
let y = 6;
if (x < y) {
    console.log('значение переменной x меньше y');
}

if (null) { // не выполнится
    ...
}

if (25) { // выполнится
   ...
}

let x = 8;
let y = 6;
if (x < y) {
    console.log('значение переменной x меньше y');
} else {
    console.log('значение переменной y меньше x');
}

// надо выяснить по году рождения записанному в year
// достигнет ли в следующем году совершеннолетия
year = 2005 // предположим ввели ответ 2005
if (year < 2005) {
    console.log('Достигнет раньше');
} else if (year > 2005) {
    console.log('Достигнет позже');
} else {
    console.log('Достигнет в новом году');
}

let result = условие ? значение1 : значение2;

// проверка на совершеннолетие
let legal_age = (age >= 18) ? true : false;

let message = (age < 14) ? 'Ребенок' :
    (age < 18) ? 'Подросток' :
        (age < 75) ? 'Взрослый' :
            'Пенсионер';
console.log(message);

(age >= 18) ?
    console.log('Совершеннолетний') : console.log('Несовершеннолетний')
// выведет Совершеннолетний
